Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class ClickableMemberSupport

    java.lang.Object
      com.tonbeller.jpivot.table.navi.AbstractClickableMember
          com.tonbeller.jpivot.table.navi.ClickableMemberSupport

All Implemented Interfaces:
  ModelChangeListener, ClickableMember, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener

Direct Known Subclasses:
  DynamicClickableMember

    public abstract class ClickableMemberSupport

extends AbstractClickableMember

clickable that invokes a RequestListener instead of following an URL

Author:
  av
See Also:
  `UrlClickableMember`

Field Summary
`protected com.tonbeller.wcf.controller.Dispatcher` | `dispatcher`
`protected OlapModel` | `model`

Fields inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`parser`

Constructor Summary
`ClickableMemberSupport(java.lang.String uniqueName)`

Method Summary
`protected abstract com.tonbeller.wcf.controller.RequestListener` | `createRequestListener(OlapModel model, Member m)` specifies what should happen when the user clicks on the member.
`void` | `decorate(SpanBuilder.SBContext sbctx, Displayable obj)`
`protected abstract java.lang.String` | `getMenuLabel()` label to show in popup menu
`java.lang.String` | `getUrlPattern()`
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`void` | `request(com.tonbeller.wcf.controller.RequestContext context)`
`void` | `setUrlPattern(java.lang.String urlPattern)` the url to generate into the hyprelink, in most cases the default null is ok
`void` | `startRendering(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)`
`void` | `stopRendering()`
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.jpivot.table.navi.AbstractClickableMember
`isSuppressAllMember, isSuppressCalcMember, isSuppressMeasures, match, setSuppressAllMember, setSuppressCalcMember, setSuppressMeasures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dispatcher

    protected com.tonbeller.wcf.controller.Dispatcher dispatcher

### model

    protected OlapModel model

Constructor Detail

### ClickableMemberSupport

    public ClickableMemberSupport(java.lang.String uniqueName)

Parameters:
  `uniqueName` - name of level, hierarchy or dimension that shall be clickable. If null, all dimensions except Measures will be clickable.
  `paramProvider` - creates the parameter from the member.

Method Detail

### getMenuLabel

    protected abstract java.lang.String getMenuLabel()

  label to show in popup menu

### createRequestListener

    protected abstract com.tonbeller.wcf.controller.RequestListener createRequestListener(OlapModel model,
                                                                                          Member m)

  specifies what should happen when the user clicks on the member.

### startRendering

    public void startRendering(com.tonbeller.wcf.controller.RequestContext context,
                               TableComponent table)

  Specified by:
    `startRendering` in interface `ClickableMember`
  Overrides:
    `startRendering` in class `AbstractClickableMember`

### stopRendering

    public void stopRendering()

  Specified by:
    `stopRendering` in interface `ClickableMember`
  Overrides:
    `stopRendering` in class `AbstractClickableMember`

### decorate

    public void decorate(SpanBuilder.SBContext sbctx,
                         Displayable obj)

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

### request

    public void request(com.tonbeller.wcf.controller.RequestContext context)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUrlPattern

    public void setUrlPattern(java.lang.String urlPattern)

  the url to generate into the hyprelink, in most cases the default null is ok

### getUrlPattern

    public java.lang.String getUrlPattern()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD